Debian Bug report logs - #624685
vclt-tools: Use Digest::SHA and drop Depends on libdigest-sha1-perl

version graph

Package: vclt-tools; Maintainer for vclt-tools is Patrick Matthäi <pmatthaei@debian.org>; Source for vclt-tools is src:vclt-tools.

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 30 Apr 2011 16:24:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version vclt-tools/0.1.0-1

Fixed in version vclt-tools/0.1.1-1

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Philipp Schafft <lion@lion.leolix.org>:
Bug#624685; Package vclt-tools. (Sat, 30 Apr 2011 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Philipp Schafft <lion@lion.leolix.org>. (Sat, 30 Apr 2011 16:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vclt-tools: Use Digest::SHA and drop Depends on libdigest-sha1-perl
Date: Sat, 30 Apr 2011 18:20:37 +0200
[Message part 1 (text/plain, inline)]
Package: vclt-tools
Version: 0.1.0-1
Severity: normal
Tags: patch
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition 


Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Both bin/sc2vclt and bin/xiph2vclt use Digest::SHA1 qw(sha1). But the
very same functionality is provided by Digest::SHA. Changing the use
of Digest::SHA1 to Digest::SHA will thus allow to drop the Depends on
libdigest-sha1-perl.

Could you plase change this (and too apply upstream)?

Thanks for your work!

Bests,
Salvatore

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[use-Digest-SHA.patch (text/x-diff, attachment)]

Added tag(s) fixed-upstream and pending. Request was from Philipp Schafft <lion@lion.leolix.org> to control@bugs.debian.org. (Mon, 02 May 2011 15:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#624685; Package vclt-tools. (Mon, 02 May 2011 16:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Schafft <lion@lion.leolix.org>:
Extra info received and forwarded to list. (Mon, 02 May 2011 16:00:06 GMT) Full text and rfc822 format available.

Message #12 received at 624685@bugs.debian.org (full text, mbox):

From: Philipp Schafft <lion@lion.leolix.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 624685@bugs.debian.org
Cc: Debian Bug Control <control@bugs.debian.org>
Subject: Re: Bug#624685: vclt-tools: Use Digest::SHA and drop Depends on libdigest-sha1-perl
Date: Mon, 02 May 2011 17:44:33 +0200
[Message part 1 (text/plain, inline)]
tag 624685 + pending fixed-upstream
thanks

reflum

On Sat, 2011-04-30 at 18:20 +0200, Salvatore Bonaccorso wrote:
> We from the Debian Perl Group would like to drop libdigest-sha1-perl
> at some point, see [1]. Most of the functionality (except
> sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> Switching from Digest::SHA1 to Digest::SHA should be in principle as
> easy as substituting the use of Digest::SHA1 with Digest::SHA.
> 
> Digest::SHA is in Perl core since version 5.9.3 and thus is in
> Debian's perl since Lenny.
> 
> Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
> dependencies by one.
> 
>  [1] http://deb.li/digestsha

thanks for the info. Just tested it and it produced exactly the same
output for both modules. It also works on etch (which is still in the
list of systems upstream needs to care about).


> Both bin/sc2vclt and bin/xiph2vclt use Digest::SHA1 qw(sha1). But the
> very same functionality is provided by Digest::SHA. Changing the use
> of Digest::SHA1 to Digest::SHA will thus allow to drop the Depends on
> libdigest-sha1-perl.
> 
> Could you plase change this (and too apply upstream)?

commited the changes to upstream. Upload to Debian will be done within
the next days.

-- 
Philipp.
 (Rah of PH2)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Schafft <lion@lion.leolix.org>:
Bug#624685; Package vclt-tools. (Tue, 03 May 2011 07:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Philipp Schafft <lion@lion.leolix.org>. (Tue, 03 May 2011 07:03:05 GMT) Full text and rfc822 format available.

Message #17 received at 624685@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Philipp Schafft <lion@lion.leolix.org>
Cc: 624685@bugs.debian.org
Subject: Re: Bug#624685: vclt-tools: Use Digest::SHA and drop Depends on libdigest-sha1-perl
Date: Tue, 3 May 2011 09:00:19 +0200
[Message part 1 (text/plain, inline)]
Hi Philipp

On Mon, May 02, 2011 at 05:44:33PM +0200, Philipp Schafft wrote:
[..]
> > Both bin/sc2vclt and bin/xiph2vclt use Digest::SHA1 qw(sha1). But the
> > very same functionality is provided by Digest::SHA. Changing the use
> > of Digest::SHA1 to Digest::SHA will thus allow to drop the Depends on
> > libdigest-sha1-perl.
> > 
> > Could you plase change this (and too apply upstream)?
> 
> commited the changes to upstream. Upload to Debian will be done within
> the next days.

Thank you!

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Tue, 03 May 2011 18:21:07 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Tue, 03 May 2011 18:21:07 GMT) Full text and rfc822 format available.

Message #22 received at 624685-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 624685-close@bugs.debian.org
Subject: Bug#624685: fixed in vclt-tools 0.1.1-1
Date: Tue, 03 May 2011 18:20:03 +0000
Source: vclt-tools
Source-Version: 0.1.1-1

We believe that the bug you reported is fixed in the latest version of
vclt-tools, which is due to be installed in the Debian FTP archive:

vclt-tools_0.1.1-1.debian.tar.gz
  to main/v/vclt-tools/vclt-tools_0.1.1-1.debian.tar.gz
vclt-tools_0.1.1-1.dsc
  to main/v/vclt-tools/vclt-tools_0.1.1-1.dsc
vclt-tools_0.1.1-1_all.deb
  to main/v/vclt-tools/vclt-tools_0.1.1-1_all.deb
vclt-tools_0.1.1.orig.tar.gz
  to main/v/vclt-tools/vclt-tools_0.1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated vclt-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 03 May 2011 19:50:50 +0200
Source: vclt-tools
Binary: vclt-tools
Architecture: source all
Version: 0.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Philipp Schafft <lion@lion.leolix.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 vclt-tools - Collection of tools to create and manipulate VCLT playlists
Closes: 624685
Changes: 
 vclt-tools (0.1.1-1) unstable; urgency=low
 .
   [ Philipp Schafft ]
   * New upstream release.
     - Avoid dependecy on libdigest-sha1-perl (Closes: #624685)
Checksums-Sha1: 
 16c77436205c4741e6b2455a63eea2de62bc3940 1727 vclt-tools_0.1.1-1.dsc
 53e4a0b970e59aa983eeb159c131536c02360c03 20067 vclt-tools_0.1.1.orig.tar.gz
 3f3fff5c668c53559049ea0bf392cb44d4e4355f 2513 vclt-tools_0.1.1-1.debian.tar.gz
 9a09a03d2f38d73a7dfb469c27efe254c6ef2fe9 7884 vclt-tools_0.1.1-1_all.deb
Checksums-Sha256: 
 2a7729d2ad2ff1635b9971ac606b3c6079748c5ef6c25c90bb85fb70f6d86278 1727 vclt-tools_0.1.1-1.dsc
 b0227507af6f4c7614dab0860abdd08f48d3f96decd1587506f7af6c1bcc20aa 20067 vclt-tools_0.1.1.orig.tar.gz
 16d47a9ba9a204a9989f9e42336552ab3d1ffd3b2dcbcaa2e881b64ce2548faa 2513 vclt-tools_0.1.1-1.debian.tar.gz
 7227425ae33cfb5054df95e192ab8531a9975eda7f39a0d6e98350ea2cd632bc 7884 vclt-tools_0.1.1-1_all.deb
Files: 
 10b78eb4b0e7f47f15e22bd460c042ed 1727 sound optional vclt-tools_0.1.1-1.dsc
 25d48c9986d1d1e4c5b260503018be9d 20067 sound optional vclt-tools_0.1.1.orig.tar.gz
 59f0456b3f50c6b614fe65a3ac004c52 2513 sound optional vclt-tools_0.1.1-1.debian.tar.gz
 bab6282e5a33b54b69ced3937baeab8b 7884 sound optional vclt-tools_0.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNwEKpAAoJEBLZsEqQy9jkOlcQAJbTPoaS8P3tS8KJZYekdE16
m0XqQLq+2ekX/UA4RJrQ5flz2x0FtyoKt2Cp9eMO0lOq26kWgbAIWDlWuIuKZWFP
oaIlmhZAJuHFBeUgnpWKBhwyC7tphhEiEtHvlww2QeUSne76gpkVGkTX3EVU2hBy
vDve3JK602fBe2ONRA0MeFStPE3wMU4nTbqNn7/wUDb2weJ0CXTQeJyE8hdjuFVr
g25pO4EgNRfa3NwKFuX25BL3TMVDIBAoA2toSm4j6TwpRbmz1iqbX9Jk3HMHphWU
20SckdDyswIeLkaAibH/Rbo/eBjfMDTmR9hJLYG8Mu7pkxgWs3CjW2ShwLPRjgSB
gdnI6XfKhwjDGZBFXbROU7P6sxbt45W5vNjDjHp67SaKtZaqwLQBQe9KPnjrVqtA
iexDNVbwME6Q3WJzPEQFgb/nTHELqVPFZNhaoIQ+/ziw4w6m0UyQPYzmBRWVZI95
ojf28nmvGY00G6lTzeDNDTIcCk/zwNP6ScUVjZs2+4shFOn7t2fkWpufki/ZO9ZK
7zK5K74nO/cgVlFCWtra6kA/s8v5QCOTrphoZdho1R6CEAvmwUZnp0dAsHWDNp2d
gOg9huhdwx7xauBMSx7CknlCXZ7CrLijNO1q46JmZ8SBiTulO3t2W+ncQ0MZDrMf
DslDpGPBOMA3PAAYu2/3
=nclt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jun 2011 07:44:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:45:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.